List agent run logs
import requests
url = "https://api.13-215-85-171.sslip.io/v1/agent-deployments/{deployment_id}/runs/{run_id}/logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.13-215-85-171.sslip.io/v1/agent-deployments/{deployment_id}/runs/{run_id}/logs \
--header 'Authorization: Bearer <token>'{
"events": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deployment_id": "<string>",
"event_type": "<string>",
"message": "<string>",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"version_id": "<string>",
"run_id": "<string>",
"service_instance_id": "<string>",
"machine_id": "<string>",
"process_id": 123
}
],
"offset": 1,
"limit": 2,
"has_more": true,
"next_cursor": "<string>"
}{
"error": "<string>",
"error_detail": {
"message": "<string>",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}{
"error": "Missing or invalid bearer credential",
"code": "unauthorized",
"request_id": "req_123"
}{
"error": "<string>",
"error_detail": {
"message": "<string>",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}{
"error": "<string>",
"error_detail": {
"message": "<string>",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}{
"error": "<string>",
"error_detail": {
"message": "<string>",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}Agent Deployments
List agent run logs
GET
/
v1
/
agent-deployments
/
{deployment_id}
/
runs
/
{run_id}
/
logs
List agent run logs
import requests
url = "https://api.13-215-85-171.sslip.io/v1/agent-deployments/{deployment_id}/runs/{run_id}/logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.13-215-85-171.sslip.io/v1/agent-deployments/{deployment_id}/runs/{run_id}/logs \
--header 'Authorization: Bearer <token>'{
"events": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deployment_id": "<string>",
"event_type": "<string>",
"message": "<string>",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"version_id": "<string>",
"run_id": "<string>",
"service_instance_id": "<string>",
"machine_id": "<string>",
"process_id": 123
}
],
"offset": 1,
"limit": 2,
"has_more": true,
"next_cursor": "<string>"
}{
"error": "<string>",
"error_detail": {
"message": "<string>",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}{
"error": "Missing or invalid bearer credential",
"code": "unauthorized",
"request_id": "req_123"
}{
"error": "<string>",
"error_detail": {
"message": "<string>",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}{
"error": "<string>",
"error_detail": {
"message": "<string>",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}{
"error": "<string>",
"error_detail": {
"message": "<string>",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}Authorizations
API key passed as Bearer token
Query Parameters
Required range:
x >= 0Required range:
1 <= x <= 500Cursor returned as next_cursor from a previous event page.
Return the newest N events in chronological order.
Required range:
1 <= x <= 500⌘I